com.rscja.team.qcom.deviceapi

## Class UHFProtocolParseUrxByJava_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava
  - - com.rscja.team.qcom.deviceapi.UHFProtocolParseUrxByJava_qcom

- All Implemented Interfaces:
    IUHFProtocolParse, IUHFProtocolParseUrx

      public class UHFProtocolParseUrxByJava_qcom
      extends UHFProtocolParseByJava
      implements IUHFProtocolParseUrx

  java 解析UR4 协议
  Author:
    zhoupin

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAntennaConnectStateSendData()`
    `byte[]` | `getAntSendData()`
    `byte[]` | `getAntWorkTimeSendData(byte antnum)`
    `byte[]` | `getBeepSendData(boolean isOpen)` 获取设置蜂鸣器的发送数据
    `static UHFProtocolParseUrxByJava_qcom` | `getInstance()`
    `byte[]` | `getIOControlSendData()`
    `byte[]` | `getReaderBeepStatusSendData()`
    `byte[]` | `getReaderDestIpSendData()`
    `byte[]` | `getReaderIpSendData()`
    `byte[]` | `getSetSoftResetSendData()`
    `byte[]` | `getTriggerWorkModeParaSendData()`
    `byte[]` | `getWorkModeSendData()`
    `boolean` | `parseBeepData(byte[] inData)` 解析设置蜂鸣器返回的数据
    `byte[]` | `parseGetAntData(byte[] inData)`
    `java.util.List<AntennaConnectState>` | `parseGetAntennaConnectStateReceiveData(byte[] inData)`
    `int` | `parseGetAntWorkTimeReceiveData(byte[] inData)`
    `byte[]` | `parseGetIOControlReceiveData(byte[] inData)`
    `int` | `parseGetReaderBeepStatusData(byte[] inData)`
    `ReaderIPEntity` | `parseGetReaderDestIpData(byte[] inData)`
    `ReaderIPEntity` | `parseGetReaderIpData(byte[] inData)`
    `int[]` | `parseGetTriggerWorkModeParaReceiveData(byte[] inData)`
    `int` | `parseGetWorkModeReceiveData(byte[] inData)`
    `boolean` | `parseSetAntData(byte[] inData)`
    `boolean` | `parseSetAntWorkTimeReceiveData(byte[] inData)`
    `boolean` | `parseSetIOControlReceiveData(byte[] inData)`
    `boolean` | `parseSetReaderDestIpData(byte[] inData)`
    `boolean` | `parseSetReaderIpData(byte[] inData)`
    `boolean` | `parseSetSoftResetData(byte[] inData)`
    `boolean` | `parseSetTriggerWorkModeParaReceiveData(byte[] inData)`
    `boolean` | `parseSetWorkModeReceiveData(byte[] inData)`
    `byte[]` | `setAntSendData(char saveflag, byte[] antStatus)`
    `byte[]` | `setAntWorkTimeSendData(byte antnum, int WorkTime)`
    `byte[]` | `setIOControlSendData(byte output1, byte output2, byte relayStatus)`
    `byte[]` | `setReaderDestIpSendData(ReaderIPEntity uhfconfig)`
    `byte[]` | `setReaderIpSendData(ReaderIPEntity uhfconfig)`
    `byte[]` | `setTriggerWorkModeParaSendData(int input, int workTime, int waitTime, int receiveMode)`
    `byte[]` | `setWorkModeSendData(int mode)`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava

      `barcodeScanTimeOutSend, blinkOfLedSendData, blockEraseDataSendData, blockWriteDataSendData, btDeleteAllTagToFlashSendData, btGetAllTagNumFromFlashSendData, btGetNewTagNumFromFlashSendData, btGetTagDataFromFlashSendData, closeLedSendData, enableBarcodeACK, GBTagLockSendData, generateLockCode, getBatterySendData, getCWSendData, getEPCTIDModeSendData, getFastIDSendData, getFrequencyModeSendData, getGen2SendData, getInventorySingleTagSendData, getInventorySingleTagSendData, getKillSendData, getLockSendData, getParameterSendData, getPowerSendData, getProtocolSendData, getReaderAwaitSleepTimeSendData, getReadSendData, getReadTagSendData, getRFLinkSendData, getScanBarcodeInBlinkModeSendData, getScanBarcodeInTriggleModeSendData, getScanBarcodeSendData, getStartInventoryTagSendData, getStartInventoryTagSendData, getSTM32VersionSendData, getStopInventorySendData, getStopScanBarcodeInBlinkModeSendData, getStopScanBarcodeInTriggleModeSendData, getTagfocusSendData, getTemperatureSendData, getUserSettingSendData, getVersionSendData, getWriteSendData, isBarcodeDataContainSSIIDSend, isBarcodeDataContainTypeSend, makeSendData, openLedSendData, parseBarcodeData, parseBatteryData, parseBlinkOfLedData, parseBlockEraseDataData, parseBlockWriteData, parseBtDeleteAllTagToFlashData, parseBtGetAllTagNumFromFlashData, parseBtGetNewTagNumFromFlashData, parseBtGetTagDataFromFlashData, parseCloseLedData, parseContinuousInventoryTagData, parseContinuousInventoryTagData, parseFastIdData, parseGBTagLockData, parseGetCWData, parseGetEPCTIDModeData, parseGetFastIdData, parseGetFrequencyModeData, parseGetGen2Data, parseGetParameterData, parseGetPowerAllData, parseGetPowerData, parseGetProtocolData, parseGetReaderAwaitSleepTimeData, parseGetRFLinkData, parseGetTagfocusData, parseGetUserSettingData, parseInventorySingleTagData, parseisBarcodeDataContainSSIIDData, parseisBarcodeDataContainTypeData, parseisBarcodeScanTimeOutData, parseKillData, parseLockData, parseOpenLedData, parseReadData, parseReadTagData_EPC, parseReadTagDataEPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parseScanBarcodeInBlinkModeData, parseScanBarcodeInTriggleModeData, parseSetBarcodeSSIDData, parseSetBarcodeTypeData, parseSetBeepTimeOfDuration, parseSetCWData, parseSetEPCAndTIDModeData, parseSetEPCAndTIDUserModeData, parseSetEPCModeData, parseSetFilterData, parseSetFrequencyModeData, parseSetGen2Data, parseSetJumpFrequencyData, parseSetParameterData, parseSetPowerData, parseSetPowerOnDynamicData, parseSetProtocolData, parseSetR6WorkModeData, parseSetReaderAwaitSleepTimeData, parseSetRFLinkData, parseSetTagfocusData, parseSetUserSettingData, parseStartInventoryTagData, parseSTM32VersionData, parseStopInventoryData, parseStopScanBarcodeInBlinkModeData, parseStopScanBarcodeInTriggleModeData, parseTemperatureData, parseUHFJump2BootData, parseUHFStartUpdateData, parseUHFStopUpdateData, parseUHFUpdatingData, parseVersionData, parseWriteData, requestGetBeepSendData, requestGetEx10SDKFirmware, requestGetFastInventoryMode, requestInventoryTempTag, requestSetFastInventoryMode, responseGetEx10SDKFirmware, responseGetFastInventoryMode, responseSetFastInventoryMode, respparseBeepData, setBarcodeSSIID, setBarcodeType, setBeepTimeOfDurationSendData, setCWSendData, setEPCAndTIDModeSendData, setEPCAndTIDUserModeSendData, setEPCAndTIDUserModeSendData, setEPCModeSendData, setFastIdSendData, setFilterSendData, setFrequencyModeSendData, setGen2SendData, setIndexData, setInventoryMessageModeSendData, setJumpFrequencySendData, setParameterSendData, setPowerOnDynamicSendData, setPowerSendData, setPowerSendData, setProtocolSendData, setR6WorkmodeSendData, setReaderAwaitSleepTimeSendData, setRFLinkSendData, setTagfocusSendData, setUserSettingSendData, stop2DSendData, uhfJump2BootSendData, uhfStartUpdateSendData, UHFStopUpdateSendData, uhfUpdatingSendData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFProtocolParse

      `blinkOfLedSendData, blockEraseDataSendData, blockWriteDataSendData, btDeleteAllTagToFlashSendData, btGetAllTagNumFromFlashSendData, btGetNewTagNumFromFlashSendData, btGetTagDataFromFlashSendData, closeLedSendData, GBTagLockSendData, generateLockCode, getBatterySendData, getCWSendData, getEPCTIDModeSendData, getFastIDSendData, getFrequencyModeSendData, getGen2SendData, getInventorySingleTagSendData, getKillSendData, getLockSendData, getPowerSendData, getProtocolSendData, getReaderAwaitSleepTimeSendData, getReadSendData, getReadTagSendData, getRFLinkSendData, getScanBarcodeSendData, getStartInventoryTagSendData, getSTM32VersionSendData, getStopInventorySendData, getTagfocusSendData, getTemperatureSendData, getVersionSendData, getWriteSendData, openLedSendData, parseBarcodeData, parseBatteryData, parseBlinkOfLedData, parseBlockEraseDataData, parseBlockWriteData, parseBtDeleteAllTagToFlashData, parseBtGetAllTagNumFromFlashData, parseBtGetNewTagNumFromFlashData, parseBtGetTagDataFromFlashData, parseCloseLedData, parseContinuousInventoryTagData, parseFastIdData, parseGBTagLockData, parseGetCWData, parseGetEPCTIDModeData, parseGetFastIdData, parseGetFrequencyModeData, parseGetGen2Data, parseGetPowerData, parseGetProtocolData, parseGetReaderAwaitSleepTimeData, parseGetRFLinkData, parseGetTagfocusData, parseInventorySingleTagData, parseKillData, parseLockData, parseOpenLedData, parseReadData, parseReadTagData_EPC, parseSetBeepTimeOfDuration, parseSetCWData, parseSetEPCAndTIDModeData, parseSetEPCAndTIDUserModeData, parseSetEPCModeData, parseSetFilterData, parseSetFrequencyModeData, parseSetGen2Data, parseSetJumpFrequencyData, parseSetPowerData, parseSetPowerOnDynamicData, parseSetProtocolData, parseSetR6WorkModeData, parseSetReaderAwaitSleepTimeData, parseSetRFLinkData, parseSetTagfocusData, parseStartInventoryTagData, parseSTM32VersionData, parseStopInventoryData, parseTemperatureData, parseUHFJump2BootData, parseUHFStartUpdateData, parseUHFStopUpdateData, parseUHFUpdatingData, parseVersionData, parseWriteData, requestGetEx10SDKFirmware, requestGetFastInventoryMode, requestSetFastInventoryMode, responseGetEx10SDKFirmware, responseGetFastInventoryMode, responseSetFastInventoryMode, setBeepTimeOfDurationSendData, setCWSendData, setEPCAndTIDModeSendData, setEPCAndTIDUserModeSendData, setEPCModeSendData, setFastIdSendData, setFilterSendData, setFrequencyModeSendData, setGen2SendData, setJumpFrequencySendData, setPowerOnDynamicSendData, setPowerSendData, setProtocolSendData, setR6WorkmodeSendData, setReaderAwaitSleepTimeSendData, setRFLinkSendData, setTagfocusSendData, uhfJump2BootSendData, uhfStartUpdateSendData, UHFStopUpdateSendData, uhfUpdatingSendData`

- - ### Method Detail

    - #### getInstance

          public static UHFProtocolParseUrxByJava_qcom getInstance()

    - #### setReaderIpSendData

          public byte[] setReaderIpSendData(ReaderIPEntity uhfconfig)

      Specified by:
        `setReaderIpSendData` in interface `IUHFProtocolParseUrx`

    - #### parseSetReaderIpData

          public boolean parseSetReaderIpData(byte[] inData)

      Specified by:
        `parseSetReaderIpData` in interface `IUHFProtocolParseUrx`

    - #### getReaderIpSendData

          public byte[] getReaderIpSendData()

      Specified by:
        `getReaderIpSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetReaderIpData

          public ReaderIPEntity parseGetReaderIpData(byte[] inData)

      Specified by:
        `parseGetReaderIpData` in interface `IUHFProtocolParseUrx`

    - #### setReaderDestIpSendData

          public byte[] setReaderDestIpSendData(ReaderIPEntity uhfconfig)

      Specified by:
        `setReaderDestIpSendData` in interface `IUHFProtocolParseUrx`

    - #### parseSetReaderDestIpData

          public boolean parseSetReaderDestIpData(byte[] inData)

      Specified by:
        `parseSetReaderDestIpData` in interface `IUHFProtocolParseUrx`

    - #### getReaderDestIpSendData

          public byte[] getReaderDestIpSendData()

      Specified by:
        `getReaderDestIpSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetReaderDestIpData

          public ReaderIPEntity parseGetReaderDestIpData(byte[] inData)

      Specified by:
        `parseGetReaderDestIpData` in interface `IUHFProtocolParseUrx`

    - #### getReaderBeepStatusSendData

          public byte[] getReaderBeepStatusSendData()

      Specified by:
        `getReaderBeepStatusSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetReaderBeepStatusData

          public int parseGetReaderBeepStatusData(byte[] inData)

      Specified by:
        `parseGetReaderBeepStatusData` in interface `IUHFProtocolParseUrx`

    - #### getSetSoftResetSendData

          public byte[] getSetSoftResetSendData()

      Specified by:
        `getSetSoftResetSendData` in interface `IUHFProtocolParseUrx`
      Overrides:
        `getSetSoftResetSendData` in class `UHFProtocolParseByJava`

    - #### parseSetSoftResetData

          public boolean parseSetSoftResetData(byte[] inData)

      Specified by:
        `parseSetSoftResetData` in interface `IUHFProtocolParseUrx`
      Overrides:
        `parseSetSoftResetData` in class `UHFProtocolParseByJava`

    - #### setAntSendData

          public byte[] setAntSendData(char saveflag,
                                       byte[] antStatus)

      Specified by:
        `setAntSendData` in interface `IUHFProtocolParseUrx`

    - #### parseSetAntData

          public boolean parseSetAntData(byte[] inData)

      Specified by:
        `parseSetAntData` in interface `IUHFProtocolParseUrx`

    - #### getAntSendData

          public byte[] getAntSendData()

      Specified by:
        `getAntSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetAntData

          public byte[] parseGetAntData(byte[] inData)

      Specified by:
        `parseGetAntData` in interface `IUHFProtocolParseUrx`

    - #### setAntWorkTimeSendData

          public byte[] setAntWorkTimeSendData(byte antnum,
                                               int WorkTime)

      Specified by:
        `setAntWorkTimeSendData` in interface `IUHFProtocolParseUrx`

    - #### parseSetAntWorkTimeReceiveData

          public boolean parseSetAntWorkTimeReceiveData(byte[] inData)

      Specified by:
        `parseSetAntWorkTimeReceiveData` in interface `IUHFProtocolParseUrx`

    - #### getAntWorkTimeSendData

          public byte[] getAntWorkTimeSendData(byte antnum)

      Specified by:
        `getAntWorkTimeSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetAntWorkTimeReceiveData

          public int parseGetAntWorkTimeReceiveData(byte[] inData)

      Specified by:
        `parseGetAntWorkTimeReceiveData` in interface `IUHFProtocolParseUrx`

    - #### getWorkModeSendData

          public byte[] getWorkModeSendData()

      Specified by:
        `getWorkModeSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetWorkModeReceiveData

          public int parseGetWorkModeReceiveData(byte[] inData)

      Specified by:
        `parseGetWorkModeReceiveData` in interface `IUHFProtocolParseUrx`

    - #### setWorkModeSendData

          public byte[] setWorkModeSendData(int mode)

      Specified by:
        `setWorkModeSendData` in interface `IUHFProtocolParseUrx`

    - #### parseSetWorkModeReceiveData

          public boolean parseSetWorkModeReceiveData(byte[] inData)

      Specified by:
        `parseSetWorkModeReceiveData` in interface `IUHFProtocolParseUrx`

    - #### setTriggerWorkModeParaSendData

          public byte[] setTriggerWorkModeParaSendData(int input,
                                                       int workTime,
                                                       int waitTime,
                                                       int receiveMode)

      Specified by:
        `setTriggerWorkModeParaSendData` in interface `IUHFProtocolParseUrx`

    - #### parseSetTriggerWorkModeParaReceiveData

          public boolean parseSetTriggerWorkModeParaReceiveData(byte[] inData)

      Specified by:
        `parseSetTriggerWorkModeParaReceiveData` in interface `IUHFProtocolParseUrx`

    - #### getTriggerWorkModeParaSendData

          public byte[] getTriggerWorkModeParaSendData()

      Specified by:
        `getTriggerWorkModeParaSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetTriggerWorkModeParaReceiveData

          public int[] parseGetTriggerWorkModeParaReceiveData(byte[] inData)

      Specified by:
        `parseGetTriggerWorkModeParaReceiveData` in interface `IUHFProtocolParseUrx`

    - #### getIOControlSendData

          public byte[] getIOControlSendData()

      Specified by:
        `getIOControlSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetIOControlReceiveData

          public byte[] parseGetIOControlReceiveData(byte[] inData)

      Specified by:
        `parseGetIOControlReceiveData` in interface `IUHFProtocolParseUrx`

    - #### setIOControlSendData

          public byte[] setIOControlSendData(byte output1,
                                             byte output2,
                                             byte relayStatus)

      Specified by:
        `setIOControlSendData` in interface `IUHFProtocolParseUrx`

    - #### parseSetIOControlReceiveData

          public boolean parseSetIOControlReceiveData(byte[] inData)

      Specified by:
        `parseSetIOControlReceiveData` in interface `IUHFProtocolParseUrx`

    - #### getAntennaConnectStateSendData

          public byte[] getAntennaConnectStateSendData()

      Specified by:
        `getAntennaConnectStateSendData` in interface `IUHFProtocolParseUrx`

    - #### parseGetAntennaConnectStateReceiveData

          public java.util.List<AntennaConnectState> parseGetAntennaConnectStateReceiveData(byte[] inData)

      Specified by:
        `parseGetAntennaConnectStateReceiveData` in interface `IUHFProtocolParseUrx`

    - #### getBeepSendData

          public byte[] getBeepSendData(boolean isOpen)

      Description copied from interface: `IUHFProtocolParse`
      获取设置蜂鸣器的发送数据
      Specified by:
        `getBeepSendData` in interface `IUHFProtocolParse`
      Specified by:
        `getBeepSendData` in interface `IUHFProtocolParseUrx`
      Overrides:
        `getBeepSendData` in class `UHFProtocolParseByJava`
      Parameters:
        `isOpen` - true:表示打开蜂鸣器， false:表示关闭蜂鸣器
      Returns:
        发送的数据

    - #### parseBeepData

          public boolean parseBeepData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析设置蜂鸣器返回的数据
      Specified by:
        `parseBeepData` in interface `IUHFProtocolParse`
      Specified by:
        `parseBeepData` in interface `IUHFProtocolParseUrx`
      Overrides:
        `parseBeepData` in class `UHFProtocolParseByJava`
      Parameters:
        `inData` - 设置蜂鸣器返回的原始数据
      Returns:
        true: 设置成功 ,flase:设置设备